<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier inc/parser.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('parser_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Structures de données</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier parser.h</div>  </div>
</div><!--header-->
<div class="contents">

<p>C'est le header du fichier <a class="el" href="parser_8c.html" title="Contient l&#39;implémentation du logger. ">parser.c</a>.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="wrapper_8h_source.html">wrapper.h</a>&quot;</code><br />
</div>
<p><a href="parser_8h_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Structures de données</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcriteria__t.html">criteria_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Représente les informations des critères de recherche :  <a href="structcriteria__t.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structexpression__t.html">expression_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Représente les critères de recherche et l'expression booléenne combinant les différents critères (sous la forme polonaise inverse)  <a href="structexpression__t.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad14effda14501a769b3d46984d43aa00"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#ad14effda14501a769b3d46984d43aa00">MAX_CMDS</a>&#160;&#160;&#160;5</td></tr>
<tr class="separator:ad14effda14501a769b3d46984d43aa00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f2e62c0dbebc787052c165afcada0e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a47f2e62c0dbebc787052c165afcada0e">NAME</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:a47f2e62c0dbebc787052c165afcada0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ed59adcb4159ac551058053e649640"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a70ed59adcb4159ac551058053e649640">SIZE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a70ed59adcb4159ac551058053e649640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b328ca499f27b3d0f8111b495834ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a30b328ca499f27b3d0f8111b495834ca">DATE</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a30b328ca499f27b3d0f8111b495834ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b60a202dfdcee621372e62aaf7d04f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a3b60a202dfdcee621372e62aaf7d04f3">OWNER</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a3b60a202dfdcee621372e62aaf7d04f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8c52c1b4c021ed3e6b6b677bd2ac019"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#ab8c52c1b4c021ed3e6b6b677bd2ac019">MODE</a>&#160;&#160;&#160;4</td></tr>
<tr class="separator:ab8c52c1b4c021ed3e6b6b677bd2ac019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d8f54c9e4c2990b9171d1c88119f454"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a9d8f54c9e4c2990b9171d1c88119f454">KILO</a>&#160;&#160;&#160;1024</td></tr>
<tr class="separator:a9d8f54c9e4c2990b9171d1c88119f454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78a6115b485de47c7cc56b224c558ea2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a78a6115b485de47c7cc56b224c558ea2">MEGA</a>&#160;&#160;&#160;1048576</td></tr>
<tr class="separator:a78a6115b485de47c7cc56b224c558ea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad63937294d26f46ec6eada84b1ee8fec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#ad63937294d26f46ec6eada84b1ee8fec">GIGA</a>&#160;&#160;&#160;1073741824</td></tr>
<tr class="separator:ad63937294d26f46ec6eada84b1ee8fec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a278cf415676752815cfb411cb0b32802"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a278cf415676752815cfb411cb0b32802">STRLEN</a>&#160;&#160;&#160;80</td></tr>
<tr class="separator:a278cf415676752815cfb411cb0b32802"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a78f5d2d09379a1560099eb45a19245e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#a78f5d2d09379a1560099eb45a19245e3">parse</a> (char **expression, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:a78f5d2d09379a1560099eb45a19245e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Analyse et construction de la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>.  <a href="#a78f5d2d09379a1560099eb45a19245e3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a78f5d2d09379a1560099eb45a19245e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0d13f407c13575c11795a39f35dcd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8h.html#abb0d13f407c13575c11795a39f35dcd9">free_expression_struct</a> (<a class="el" href="structexpression__t.html">expression_t</a> *strct)</td></tr>
<tr class="memdesc:abb0d13f407c13575c11795a39f35dcd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Libération de la mémoire d'une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>.  <a href="#abb0d13f407c13575c11795a39f35dcd9">Plus de détails...</a><br /></td></tr>
<tr class="separator:abb0d13f407c13575c11795a39f35dcd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>C'est le header du fichier <a class="el" href="parser_8c.html" title="Contient l&#39;implémentation du logger. ">parser.c</a>. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des macros</h2>
<a id="a30b328ca499f27b3d0f8111b495834ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30b328ca499f27b3d0f8111b495834ca">&#9670;&nbsp;</a></span>DATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DATE&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le critère &ndash;date </p>

</div>
</div>
<a id="ad63937294d26f46ec6eada84b1ee8fec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad63937294d26f46ec6eada84b1ee8fec">&#9670;&nbsp;</a></span>GIGA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GIGA&#160;&#160;&#160;1073741824</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 giga-octet </p>

</div>
</div>
<a id="a9d8f54c9e4c2990b9171d1c88119f454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d8f54c9e4c2990b9171d1c88119f454">&#9670;&nbsp;</a></span>KILO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KILO&#160;&#160;&#160;1024</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 kilo-octet </p>

</div>
</div>
<a id="ad14effda14501a769b3d46984d43aa00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad14effda14501a769b3d46984d43aa00">&#9670;&nbsp;</a></span>MAX_CMDS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAX_CMDS&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le niveau actuel de log</p>
<p>Nombre de critères </p>

</div>
</div>
<a id="a78a6115b485de47c7cc56b224c558ea2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a6115b485de47c7cc56b224c558ea2">&#9670;&nbsp;</a></span>MEGA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MEGA&#160;&#160;&#160;1048576</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 méga-octet </p>

</div>
</div>
<a id="ab8c52c1b4c021ed3e6b6b677bd2ac019"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c52c1b4c021ed3e6b6b677bd2ac019">&#9670;&nbsp;</a></span>MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MODE&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le critère &ndash;mode </p>

</div>
</div>
<a id="a47f2e62c0dbebc787052c165afcada0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47f2e62c0dbebc787052c165afcada0e">&#9670;&nbsp;</a></span>NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NAME&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le critère &ndash;name </p>

</div>
</div>
<a id="a3b60a202dfdcee621372e62aaf7d04f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b60a202dfdcee621372e62aaf7d04f3">&#9670;&nbsp;</a></span>OWNER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OWNER&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le critère &ndash;owner </p>

</div>
</div>
<a id="a70ed59adcb4159ac551058053e649640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ed59adcb4159ac551058053e649640">&#9670;&nbsp;</a></span>SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SIZE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Le critère &ndash;size </p>

</div>
</div>
<a id="a278cf415676752815cfb411cb0b32802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a278cf415676752815cfb411cb0b32802">&#9670;&nbsp;</a></span>STRLEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STRLEN&#160;&#160;&#160;80</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Taille maximale des noms de fichiers </p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="abb0d13f407c13575c11795a39f35dcd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0d13f407c13575c11795a39f35dcd9">&#9670;&nbsp;</a></span>free_expression_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void free_expression_struct </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td>
          <td class="paramname"><em>strct</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Libération de la mémoire d'une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">strct</td><td>Expression à libérée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a78f5d2d09379a1560099eb45a19245e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78f5d2d09379a1560099eb45a19245e3">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structexpression__t.html">expression_t</a> * parse </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Analyse et construction de la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>. </p>
<p>Analyser les arguments passés au programme (sous forme de tableau de chaines de caractères <em>char**</em> <em>expression</em>) et construire la structure <a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Expression sous forme de tableau de chaînes de caractères </td></tr>
    <tr><td class="paramname">size</td><td>Taille du tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Un pointeur sur la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em> effective construite </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="parser_8h.html">parser.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
